#ifndef __APLISTBOX_H__
#define __APLISTBOX_H__

#include <qlistbox.h>
#include <qstringlist.h>
#include <qstring.h>

class QLabel;

class ApListBox : public QListBox
{
  public:
	ApListBox(QWidget *parent=0, const char *name=0, WFlags f=0);

	void insertStringList(const QStringList &arg, int index=-1);
	void insertStrList(const QStrList *arg, int index=-1);
	void insertStrList(const QStrList &arg, int index=-1);
	void insertStrList(const char **chars, int numStrings=-1, int index=-1);
	void insertItem(const QListBoxItem *arg, int index=-1);
	void insertItem(const QListBoxItem *arg, const QListBoxItem *after);
	void insertItem(const QString &text, int index=-1);
	void insertItem(const QPixmap &pixmap, int index=-1);
	void insertItem(const QPixmap &pixmap, const QString &text, int index=-1);

	void clear();

	void setText(const QString &str);

  protected:
	void resizeEvent(QResizeEvent *e);

  private:
	QLabel *label;
};

#endif // __APLISTBOX_H__
